IntegrationsSlack

Fetch the profile of one Slack workspace member by user ID.

POST
/integrations/connections/{connection_id}/providers/slack/users/get

Fetch the profile of one Slack workspace member by user ID.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/slack/users/get" \  -H "Content-Type: application/json" \  -d '{    "user_id": "UAAAAAAAA"  }'
{  "user_id": "example",  "name": "Customer documents",  "real_name": "example",  "display_name": "example",  "email": "ada@example.com",  "is_bot": false,  "deleted": false,  "tz": "example"}